
_Init:

;ADC_Test6.c,45 :: 		void Init()
;ADC_Test6.c,47 :: 		ANSEL  = 0;                                    // Configure AN pins as digital I/O
	CLRF       ANSEL+0
;ADC_Test6.c,48 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;ADC_Test6.c,49 :: 		C1ON_bit = 0;                                  // Disable comparators
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;ADC_Test6.c,50 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;ADC_Test6.c,53 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;ADC_Test6.c,54 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;ADC_Test6.c,55 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;ADC_Test6.c,58 :: 		measurement = 0;                               // Initialize the measurement variable
	CLRF       _measurement+0
	CLRF       _measurement+1
;ADC_Test6.c,61 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV64,      // Initialize PIC as master
	MOVLW      2
	MOVWF      FARG_SPI1_Init_Advanced_master+0
;ADC_Test6.c,62 :: 		_SPI_DATA_SAMPLE_END,       // Data sample at end
	MOVLW      128
	MOVWF      FARG_SPI1_Init_Advanced_data_sample+0
;ADC_Test6.c,63 :: 		_SPI_CLK_IDLE_LOW,
	CLRF       FARG_SPI1_Init_Advanced_clock_idle+0
;ADC_Test6.c,64 :: 		_SPI_LOW_2_HIGH);
	MOVLW      1
	MOVWF      FARG_SPI1_Init_Advanced_transmit_edge+0
	CALL       _SPI1_Init_Advanced+0
;ADC_Test6.c,66 :: 		Chip_Select_Direction= 0;                      // ClearBit(TRISC,0)
	BCF        TRISC0_bit+0, BitPos(TRISC0_bit+0)
;ADC_Test6.c,67 :: 		Chip_Select= 0;                                // SetBit(PORTC,0)
	BCF        RC0_bit+0, BitPos(RC0_bit+0)
;ADC_Test6.c,68 :: 		}
L_end_Init:
	RETURN
; end of _Init

_getADC:

;ADC_Test6.c,70 :: 		unsigned int getADC(unsigned short channel)
;ADC_Test6.c,74 :: 		Chip_Select = 0;                      // Select MCP3204
	BCF        RC0_bit+0, BitPos(RC0_bit+0)
;ADC_Test6.c,75 :: 		SPI1_Write(0x06);                     // SPI communication using 8-bit segments
	MOVLW      6
	MOVWF      FARG_SPI1_Write_data_+0
	CALL       _SPI1_Write+0
;ADC_Test6.c,76 :: 		channel = channel << 6;               // Bits 7 & 6 define ADC input
	MOVLW      6
	MOVWF      R1+0
	MOVF       FARG_getADC_channel+0, 0
	MOVWF      R0+0
	MOVF       R1+0, 0
L__getADC13:
	BTFSC      STATUS+0, 2
	GOTO       L__getADC14
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__getADC13
L__getADC14:
	MOVF       R0+0, 0
	MOVWF      FARG_getADC_channel+0
;ADC_Test6.c,77 :: 		tmp = SPI1_Read(channel) & 0x0F;
	MOVF       R0+0, 0
	MOVWF      FARG_SPI1_Read_buffer+0
	CALL       _SPI1_Read+0
	MOVLW      15
	ANDWF      R0+0, 0
	MOVWF      getADC_tmp_L0+0
	CLRF       getADC_tmp_L0+1
	MOVLW      0
	ANDWF      getADC_tmp_L0+1, 1
	MOVLW      0
	MOVWF      getADC_tmp_L0+1
;ADC_Test6.c,78 :: 		tmp = tmp << 8;                       // Get ADC value
	MOVF       getADC_tmp_L0+0, 0
	MOVWF      getADC_tmp_L0+1
	CLRF       getADC_tmp_L0+0
;ADC_Test6.c,79 :: 		tmp |= SPI1_Read(0);
	CLRF       FARG_SPI1_Read_buffer+0
	CALL       _SPI1_Read+0
	MOVLW      0
	MOVWF      R0+1
	MOVF       getADC_tmp_L0+0, 0
	IORWF      R0+0, 1
	MOVF       getADC_tmp_L0+1, 0
	IORWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      getADC_tmp_L0+0
	MOVF       R0+1, 0
	MOVWF      getADC_tmp_L0+1
;ADC_Test6.c,80 :: 		Chip_Select = 1;
	BSF        RC0_bit+0, BitPos(RC0_bit+0)
;ADC_Test6.c,81 :: 		return tmp;
;ADC_Test6.c,82 :: 		}
L_end_getADC:
	RETURN
; end of _getADC

_ProcessValue:

;ADC_Test6.c,84 :: 		void ProcessValue(unsigned int pv, unsigned short channel)
;ADC_Test6.c,88 :: 		if(channel < 2) lcdRow=1;
	MOVLW      2
	SUBWF      FARG_ProcessValue_channel+0, 0
	BTFSC      STATUS+0, 0
	GOTO       L_ProcessValue0
	MOVLW      1
	MOVWF      ProcessValue_lcdRow_L0+0
	GOTO       L_ProcessValue1
L_ProcessValue0:
;ADC_Test6.c,89 :: 		else lcdRow=2;
	MOVLW      2
	MOVWF      ProcessValue_lcdRow_L0+0
L_ProcessValue1:
;ADC_Test6.c,90 :: 		if(channel%2 > 0 ) lcdCol=13;
	MOVLW      1
	ANDWF      FARG_ProcessValue_channel+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	SUBLW      0
	BTFSC      STATUS+0, 0
	GOTO       L_ProcessValue2
	MOVLW      13
	MOVWF      ProcessValue_lcdCol_L0+0
	GOTO       L_ProcessValue3
L_ProcessValue2:
;ADC_Test6.c,91 :: 		else lcdCol=4;
	MOVLW      4
	MOVWF      ProcessValue_lcdCol_L0+0
L_ProcessValue3:
;ADC_Test6.c,95 :: 		i = pv /1000 + 48;
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	MOVF       FARG_ProcessValue_pv+0, 0
	MOVWF      R0+0
	MOVF       FARG_ProcessValue_pv+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      FARG_Lcd_Chr_out_char+0
;ADC_Test6.c,96 :: 		Lcd_Chr(lcdRow,lcdCol, i);
	MOVF       ProcessValue_lcdRow_L0+0, 0
	MOVWF      FARG_Lcd_Chr_row+0
	MOVF       ProcessValue_lcdCol_L0+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	CALL       _Lcd_Chr+0
;ADC_Test6.c,97 :: 		pv %= 1000;
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	MOVF       FARG_ProcessValue_pv+0, 0
	MOVWF      R0+0
	MOVF       FARG_ProcessValue_pv+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      FARG_ProcessValue_pv+0
	MOVF       R0+1, 0
	MOVWF      FARG_ProcessValue_pv+1
;ADC_Test6.c,98 :: 		i = pv /100 + 48;
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      FARG_Lcd_Chr_out_char+0
;ADC_Test6.c,99 :: 		Lcd_Chr(lcdRow,lcdCol+1, i);
	MOVF       ProcessValue_lcdRow_L0+0, 0
	MOVWF      FARG_Lcd_Chr_row+0
	INCF       ProcessValue_lcdCol_L0+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	CALL       _Lcd_Chr+0
;ADC_Test6.c,100 :: 		pv %= 100;
	MOVLW      100
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_ProcessValue_pv+0, 0
	MOVWF      R0+0
	MOVF       FARG_ProcessValue_pv+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      FARG_ProcessValue_pv+0
	MOVF       R0+1, 0
	MOVWF      FARG_ProcessValue_pv+1
;ADC_Test6.c,101 :: 		i = pv /10 + 48;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      FARG_Lcd_Chr_out_char+0
;ADC_Test6.c,102 :: 		Lcd_Chr(lcdRow,lcdCol+2, i);
	MOVF       ProcessValue_lcdRow_L0+0, 0
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      2
	ADDWF      ProcessValue_lcdCol_L0+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	CALL       _Lcd_Chr+0
;ADC_Test6.c,103 :: 		pv %= 10;
	MOVLW      10
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVF       FARG_ProcessValue_pv+0, 0
	MOVWF      R0+0
	MOVF       FARG_ProcessValue_pv+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      FARG_ProcessValue_pv+0
	MOVF       R0+1, 0
	MOVWF      FARG_ProcessValue_pv+1
;ADC_Test6.c,104 :: 		i = pv + 48;
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      FARG_Lcd_Chr_out_char+0
;ADC_Test6.c,105 :: 		Lcd_Chr(lcdRow,lcdCol+3, i);
	MOVF       ProcessValue_lcdRow_L0+0, 0
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      3
	ADDWF      ProcessValue_lcdCol_L0+0, 0
	MOVWF      FARG_Lcd_Chr_column+0
	CALL       _Lcd_Chr+0
;ADC_Test6.c,106 :: 		}
L_end_ProcessValue:
	RETURN
; end of _ProcessValue

_main:

;ADC_Test6.c,110 :: 		void main()
;ADC_Test6.c,113 :: 		Init();
	CALL       _Init+0
;ADC_Test6.c,115 :: 		Lcd_Out(1,1,"Build : " __TIME__);
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_ADC_Test6+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;ADC_Test6.c,116 :: 		Lcd_Out(2,1,"le " __DATE__);
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_ADC_Test6+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;ADC_Test6.c,118 :: 		Delay_ms(2000);
	MOVLW      11
	MOVWF      R11+0
	MOVLW      38
	MOVWF      R12+0
	MOVLW      93
	MOVWF      R13+0
L_main4:
	DECFSZ     R13+0, 1
	GOTO       L_main4
	DECFSZ     R12+0, 1
	GOTO       L_main4
	DECFSZ     R11+0, 1
	GOTO       L_main4
	NOP
	NOP
;ADC_Test6.c,120 :: 		Lcd_Out(1,1,"C0=      C1=");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr3_ADC_Test6+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;ADC_Test6.c,121 :: 		Lcd_Out(2,1,"C2=      C3=");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr4_ADC_Test6+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;ADC_Test6.c,123 :: 		while(1)
L_main5:
;ADC_Test6.c,125 :: 		measurement = getADC(0);                    // Get ADC result from Channel 0
	CLRF       FARG_getADC_channel+0
	CALL       _getADC+0
	MOVF       R0+0, 0
	MOVWF      _measurement+0
	MOVF       R0+1, 0
	MOVWF      _measurement+1
;ADC_Test6.c,126 :: 		ProcessValue(measurement,0);                // Writes measured value to LCD
	MOVF       R0+0, 0
	MOVWF      FARG_ProcessValue_pv+0
	MOVF       R0+1, 0
	MOVWF      FARG_ProcessValue_pv+1
	CLRF       FARG_ProcessValue_channel+0
	CALL       _ProcessValue+0
;ADC_Test6.c,127 :: 		Delay_ms(100);                              // Wait 100ms
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_main7:
	DECFSZ     R13+0, 1
	GOTO       L_main7
	DECFSZ     R12+0, 1
	GOTO       L_main7
	NOP
	NOP
;ADC_Test6.c,128 :: 		measurement = getADC(1);                    // Get ADC result from Channel 1
	MOVLW      1
	MOVWF      FARG_getADC_channel+0
	CALL       _getADC+0
	MOVF       R0+0, 0
	MOVWF      _measurement+0
	MOVF       R0+1, 0
	MOVWF      _measurement+1
;ADC_Test6.c,129 :: 		ProcessValue(measurement,1);                // Writes measured value to LCD
	MOVF       R0+0, 0
	MOVWF      FARG_ProcessValue_pv+0
	MOVF       R0+1, 0
	MOVWF      FARG_ProcessValue_pv+1
	MOVLW      1
	MOVWF      FARG_ProcessValue_channel+0
	CALL       _ProcessValue+0
;ADC_Test6.c,130 :: 		Delay_ms(100);                              // Wait 100ms
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_main8:
	DECFSZ     R13+0, 1
	GOTO       L_main8
	DECFSZ     R12+0, 1
	GOTO       L_main8
	NOP
	NOP
;ADC_Test6.c,131 :: 		measurement = getADC(2);                    // Get ADC result from Channel 2
	MOVLW      2
	MOVWF      FARG_getADC_channel+0
	CALL       _getADC+0
	MOVF       R0+0, 0
	MOVWF      _measurement+0
	MOVF       R0+1, 0
	MOVWF      _measurement+1
;ADC_Test6.c,132 :: 		ProcessValue(measurement,2);                // Writes measured value to LCD
	MOVF       R0+0, 0
	MOVWF      FARG_ProcessValue_pv+0
	MOVF       R0+1, 0
	MOVWF      FARG_ProcessValue_pv+1
	MOVLW      2
	MOVWF      FARG_ProcessValue_channel+0
	CALL       _ProcessValue+0
;ADC_Test6.c,133 :: 		Delay_ms(100);                              // Wait 100ms
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_main9:
	DECFSZ     R13+0, 1
	GOTO       L_main9
	DECFSZ     R12+0, 1
	GOTO       L_main9
	NOP
	NOP
;ADC_Test6.c,134 :: 		measurement = getADC(3);                    // Get ADC result from Channel 3
	MOVLW      3
	MOVWF      FARG_getADC_channel+0
	CALL       _getADC+0
	MOVF       R0+0, 0
	MOVWF      _measurement+0
	MOVF       R0+1, 0
	MOVWF      _measurement+1
;ADC_Test6.c,135 :: 		ProcessValue(measurement,3);                // Writes measured value to LCD
	MOVF       R0+0, 0
	MOVWF      FARG_ProcessValue_pv+0
	MOVF       R0+1, 0
	MOVWF      FARG_ProcessValue_pv+1
	MOVLW      3
	MOVWF      FARG_ProcessValue_channel+0
	CALL       _ProcessValue+0
;ADC_Test6.c,136 :: 		Delay_ms(100);                              // Wait 100ms
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_main10:
	DECFSZ     R13+0, 1
	GOTO       L_main10
	DECFSZ     R12+0, 1
	GOTO       L_main10
	NOP
	NOP
;ADC_Test6.c,137 :: 		}
	GOTO       L_main5
;ADC_Test6.c,138 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
